<?php
/**
 * Project:
 * Contenido Content Management System
 *
 * Description:
 * Article access class
 *
 * Requirements:
 * @con_php_req 5.0
 *
 *
 * @package    Contenido Backend classes
 * @version    1.3
 * @author     Bjoern Behrens
 * @copyright  four for business AG <www.4fb.de>
 * @license    http://www.contenido.org/license/LIZENZ.txt
 * @link       http://www.4fb.de
 * @link       http://www.contenido.org
 *
 * {@internal
 *   created  2007-05-25
 *   modified 2011-03-14, Murat Purc, adapted to new GenericDB, partly ported to PHP 5, formatting
 *
 *   $Id$:
 * }}
 *
 */

if (!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}


class cApiArticleLanguageCollection extends ItemCollection {
    
    public function __construct($select = false) {
        global $cfg;
        parent::__construct($cfg["tab"]["art_lang"], "idartlang");
        $this->_setItemClass("cApiArticleLanguage");
        $this->_setJoinPartner("cApiArticleCollection");

        if ($select !== false) {
            $this->select($select);
        }
    }

    /** @deprecated  [2011-03-15] Old constructor function for downwards compatibility */
    public function cApiArticleLanguageCollection($select = false)
    {
        cWarning(__FILE__, __LINE__, "Deprecated method call, use __construct()");
        $this->__construct($select);
    }
    
    public function getIdArtLang($iIdart, $iIdlang) {
        $this->setWhere('idart', Contenido_Security::toInteger($iIdart));
        $this->setWhere('idlang', Contenido_Security::toInteger($iIdlang));
        if($this->query() && $this->count() > 0) {
            return $this->next()->get('idartlang');
        }
        return false;
    }
}


class cApiArticleLanguage extends Item
{
    /**
     * Constructor Function
     * @param  mixed  $mId  Specifies the ID of item to load
     */
    public function __construct($mId = false)
    {
        global $cfg;
        parent::__construct($cfg["tab"]["art_lang"], "idartlang");
        $this->setFilters(array(), array());
        if ($mId !== false) {
            $this->loadByPrimaryKey($mId);
        }
    }

    /** @deprecated  [2011-03-15] Old constructor function for downwards compatibility */
    public function cApiArticleLanguage($mId = false)
    {
        cWarning(__FILE__, __LINE__, "Deprecated method call, use __construct()");
        $this->__construct($mId);
    }
}

?>