<?php
/**
 * Project:
 * Contenido Content Management System
 *
 * Description:
 * Contenido autoloader classmap file. Contains all available classes and 
 * related class files in several Contenido folder.
 *
 * NOTES:
 * - Don't edit this file manually, instead create a file
 *   config.autoloader.individual.php in the same folder which returns your
 *   enhancement array (return array('class' => 'path', 'class' => 'path');)
 *
 *
 * Requirements:
 * @con_php_req 5.0
 *
 * @package    Contenido Backend includes
 * @version    0.1
 * @author     System
 * @copyright  four for business AG <www.4fb.de>
 * @license    http://www.contenido.org/license/LIZENZ.txt
 * @link       http://www.4fb.de
 * @link       http://www.contenido.org
 * @since      file available since Contenido release >= 4.8.15
 *
 * {@internal
 *     created  2011-03-13
 * }}
 */

$aAutoload = array(
    'ConUser_Abstract' => 'admin/classes/abstract_classes/class.conuser.php',
    'Action' => 'admin/classes/class.action.php',
    'ActiveUsers' => 'admin/classes/class.activeusers.php',
    'Ajax' => 'admin/classes/class.ajax.php',
    'Area' => 'admin/classes/class.area.php',
    'Art' => 'admin/classes/class.art.php',
    'Article' => 'admin/classes/class.article.php',
    'ArticleCollection' => 'admin/classes/class.article.php',
    'ArtSpecCollection' => 'admin/classes/class.artspec.php',
    'ArtSpecItem' => 'admin/classes/class.artspec.php',
    'Contenido_Autoload' => 'admin/classes/class.autoload.php',
    'Contenido_Backend' => 'admin/classes/class.backend.php',
    'Cat' => 'admin/classes/class.cat.php',
    'CategoryCollection' => 'admin/classes/class.category.php',
    'CategoryItem' => 'admin/classes/class.category.php',
    'CategoryLanguageCollection' => 'admin/classes/class.category.php',
    'CategoryLanguageItem' => 'admin/classes/class.category.php',
    'cApiCECRegistry' => 'admin/classes/class.cec.php',
    'pApiCECChainItem' => 'admin/classes/class.cec.php',
    'CEC_Hook' => 'admin/classes/class.cec_hook.php',
    'cCharacterConverter' => 'admin/classes/class.chartable.php',
    'Client' => 'admin/classes/class.client.php',
    'Cms_Date' => 'admin/classes/class.cms_date.php',
    'Cms_FileList' => 'admin/classes/class.cms_filelist.php',
    'Cms_Teaser' => 'admin/classes/class.cms_teaser.php',
    'CommunicationCollection' => 'admin/classes/class.communications.php',
    'CommunicationItem' => 'admin/classes/class.communications.php',
    'ConUser' => 'admin/classes/class.conuser.php',
    'CSV' => 'admin/classes/class.csv.php',
    'DBFSCollection' => 'admin/classes/class.dbfs.php',
    'DBFSItem' => 'admin/classes/class.dbfs.php',
    'ExcelWorksheet' => 'admin/classes/class.excel.php',
    'Form' => 'admin/classes/class.form.php',
    'FormField' => 'admin/classes/class.form.php',
    'FormCheck' => 'admin/classes/class.form.php',
    'FrontendGroupCollection' => 'admin/classes/class.frontend.groups.php',
    'FrontendGroup' => 'admin/classes/class.frontend.groups.php',
    'FrontendGroupMemberCollection' => 'admin/classes/class.frontend.groups.php',
    'FrontendGroupMember' => 'admin/classes/class.frontend.groups.php',
    'FrontendLogic' => 'admin/classes/class.frontend.logic.php',
    'FrontendPermissionCollection' => 'admin/classes/class.frontend.permissions.php',
    'FrontendPermission' => 'admin/classes/class.frontend.permissions.php',
    'FrontendUserCollection' => 'admin/classes/class.frontend.users.php',
    'FrontendUser' => 'admin/classes/class.frontend.users.php',
    'Contenido_ItemException' => 'admin/classes/class.genericdb.php',
    'Contenido_ItemCache' => 'admin/classes/class.genericdb.php',
    'Contenido_ItemBaseAbstract' => 'admin/classes/class.genericdb.php',
    'ItemCollection' => 'admin/classes/class.genericdb.php',
    'Item' => 'admin/classes/class.genericdb.php',
    'Groups' => 'admin/classes/class.group.php',
    'Group' => 'admin/classes/class.group.php',
    'cHTML' => 'admin/classes/class.htmlelements.php',
    'cHTMLFormElement' => 'admin/classes/class.htmlelements.php',
    'cHTMLHiddenField' => 'admin/classes/class.htmlelements.php',
    'cHTMLButton' => 'admin/classes/class.htmlelements.php',
    'cHTMLTextbox' => 'admin/classes/class.htmlelements.php',
    'cHTMLPasswordbox' => 'admin/classes/class.htmlelements.php',
    'cHTMLTextarea' => 'admin/classes/class.htmlelements.php',
    'cHTMLLabel' => 'admin/classes/class.htmlelements.php',
    'cHTMLSelectElement' => 'admin/classes/class.htmlelements.php',
    'cHTMLOptionElement' => 'admin/classes/class.htmlelements.php',
    'cHTMLRadiobutton' => 'admin/classes/class.htmlelements.php',
    'cHTMLCheckbox' => 'admin/classes/class.htmlelements.php',
    'cHTMLUpload' => 'admin/classes/class.htmlelements.php',
    'cHTMLLink' => 'admin/classes/class.htmlelements.php',
    'cHTMLDiv' => 'admin/classes/class.htmlelements.php',
    'cHTMLSpan' => 'admin/classes/class.htmlelements.php',
    'cHTMLImage' => 'admin/classes/class.htmlelements.php',
    'cHTMLTable' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableBody' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableRow' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableData' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableHead' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableHeader' => 'admin/classes/class.htmlelements.php',
    'cHTMLIFrame' => 'admin/classes/class.htmlelements.php',
    'cHTMLAlignmentTable' => 'admin/classes/class.htmlelements.php',
    'cHTMLForm' => 'admin/classes/class.htmlelements.php',
    'cHTMLScript' => 'admin/classes/class.htmlelements.php',
    'HtmlParser' => 'admin/classes/class.htmlparser.php',
    'cHTMLValidator' => 'admin/classes/class.htmlvalidator.php',
    'HttpInputValidator' => 'admin/classes/class.httpinputvalidator.php',
    'InUseCollection' => 'admin/classes/class.inuse.php',
    'InUseItem' => 'admin/classes/class.inuse.php',
    'cIterator' => 'admin/classes/class.iterator.php',
    'Languages' => 'admin/classes/class.lang.php',
    'Language' => 'admin/classes/class.lang.php',
    'Layout' => 'admin/classes/class.layout.php',
    'cMetaObject' => 'admin/classes/class.metaobject.php',
    'Contenido_Navigation' => 'admin/classes/class.navigation.php',
    'NoteCollection' => 'admin/classes/class.note.php',
    'NoteItem' => 'admin/classes/class.note.php',
    'NoteView' => 'admin/classes/class.note.php',
    'NoteList' => 'admin/classes/class.note.php',
    'NoteListItem' => 'admin/classes/class.note.php',
    'NoteLink' => 'admin/classes/class.note.php',
    'Contenido_Notification' => 'admin/classes/class.notification.php',
    'PHPMailer' => 'admin/classes/class.phpmailer.php',
    'PropertyCollection' => 'admin/classes/class.properties.php',
    'PropertyItem' => 'admin/classes/class.properties.php',
    'Purge' => 'admin/classes/class.purge.php',
    'RequestPassword' => 'admin/classes/class.request.password.php',
    'Request' => 'admin/classes/class.request.php',
    'ValidationError' => 'admin/classes/class.request.php',
    'SearchBaseAbstract' => 'admin/classes/class.search.php',
    'Index' => 'admin/classes/class.search.php',
    'Search' => 'admin/classes/class.search.php',
    'SearchResult' => 'admin/classes/class.search.php',
    'Search_helper' => 'admin/classes/class.search.php',
    'Contenido_Security_Exception' => 'admin/classes/class.security.php',
    'Contenido_Security' => 'admin/classes/class.security.php',
    'SMTP' => 'admin/classes/class.smtp.php',
    'Structure' => 'admin/classes/class.structure.php',
    'Table' => 'admin/classes/class.table.php',
    'clIfFunctionParser' => 'admin/classes/template/class.clIfFunctionParser.php',
    'clCounterFunctionParser' => 'admin/classes/template/class.clCounterFunctionParser.php',
    'clStrAPIFunctionsParser' => 'admin/classes/template/class.clStrAPIFunctionsParser.php',
    'Template' => 'admin/classes/template/class.template.php',
    'TemplateConfig' => 'admin/classes/class.templateconfig.php',
    'TODOCollection' => 'admin/classes/class.todo.php',
    'TODOItem' => 'admin/classes/class.todo.php',
    'TODOLink' => 'admin/classes/class.todo.php',
    'TreeItem' => 'admin/classes/class.treeitem.php',
    'UI_Left_Top' => 'admin/classes/class.ui.php',
    'UI_Menu' => 'admin/classes/class.ui.php',
    'UI_Table_Form' => 'admin/classes/class.ui.php',
    'UI_Form' => 'admin/classes/class.ui.php',
    'UI_Page' => 'admin/classes/class.ui.php',
    'Link' => 'admin/classes/class.ui.php',
    'UI_List' => 'admin/classes/class.ui.php',
    'cScrollList' => 'admin/classes/class.ui.php',
    'Contenido_UpdateNotifier' => 'admin/classes/class.update.notifier.php',
    'UploadCollection' => 'admin/classes/class.upload.php',
    'UploadItem' => 'admin/classes/class.upload.php',
    'Users' => 'admin/classes/class.user.php',
    'User' => 'admin/classes/class.user.php',
    'Version' => 'admin/classes/class.version.php',
    'VersionFile' => 'admin/classes/class.versionFile.php',
    'VersionImport' => 'admin/classes/class.versionImport.php',
    'VersionLayout' => 'admin/classes/class.versionLayout.php',
    'VersionModule' => 'admin/classes/class.versionModule.php',
    'cWYSIWYGEditor' => 'admin/classes/class.wysiwyg_editor.php',
    'XML_doc' => 'admin/classes/class.xml.php',
    'XmlParser' => 'admin/classes/class.xmlparser.php',
    'XmlTree' => 'admin/classes/class.xmltree.php',
    'XmlNode' => 'admin/classes/class.xmltree.php',
    'XsltProcessor' => 'admin/classes/class.xsltprocessor.php',
    'cApiActionCollection' => 'admin/classes/contenido/class.action.php',
    'cApiAction' => 'admin/classes/contenido/class.action.php',
    'cApiAreaCollection' => 'admin/classes/contenido/class.area.php',
    'cApiArea' => 'admin/classes/contenido/class.area.php',
    'cApiArticleCollection' => 'admin/classes/contenido/class.article.php',
    'cApiArticle' => 'admin/classes/contenido/class.article.php',
    'cApiArticleLanguageCollection' => 'admin/classes/contenido/class.articlelanguage.php',
    'cApiArticleLanguage' => 'admin/classes/contenido/class.articlelanguage.php',
    'cApiCategoryCollection' => 'admin/classes/contenido/class.category.php',
    'cApiCategory' => 'admin/classes/contenido/class.category.php',
    'cApiCategoryArticleCollection' => 'admin/classes/contenido/class.categoryarticle.php',
    'cApiCategoryArticle' => 'admin/classes/contenido/class.categoryarticle.php',
    'cApiCategoryLanguageCollection' => 'admin/classes/contenido/class.categorylanguage.php',
    'cApiCategoryLanguage' => 'admin/classes/contenido/class.categorylanguage.php',
    'cApiCategoryTreeCollection' => 'admin/classes/contenido/class.categorytree.php',
    'cApiTree' => 'admin/classes/contenido/class.categorytree.php',
    'cApiClientCollection' => 'admin/classes/contenido/class.client.php',
    'cApiClient' => 'admin/classes/contenido/class.client.php',
    'cApiClientLanguageCollection' => 'admin/classes/contenido/class.clientslang.php',
    'cApiClientLanguage' => 'admin/classes/contenido/class.clientslang.php',
    'cApiContainerCollection' => 'admin/classes/contenido/class.container.php',
    'cApiContainer' => 'admin/classes/contenido/class.container.php',
    'cApiContainerConfigurationCollection' => 'admin/classes/contenido/class.containerconfig.php',
    'cApiContainerConfiguration' => 'admin/classes/contenido/class.containerconfig.php',
    'cApiFileCollection' => 'admin/classes/contenido/class.file.php',
    'cApiFile' => 'admin/classes/contenido/class.file.php',
    'cApiFrameFileCollection' => 'admin/classes/contenido/class.framefile.php',
    'cApiFrameFile' => 'admin/classes/contenido/class.framefile.php',
    'cApiLanguageCollection' => 'admin/classes/contenido/class.language.php',
    'cApiLanguage' => 'admin/classes/contenido/class.language.php',
    'cApiLayoutCollection' => 'admin/classes/contenido/class.layout.php',
    'cApiLayout' => 'admin/classes/contenido/class.layout.php',
    'cApiModuleCollection' => 'admin/classes/contenido/class.module.php',
    'cApiModule' => 'admin/classes/contenido/class.module.php',
    'cApiModuleTranslationCollection' => 'admin/classes/contenido/class.module.php',
    'cApiModuleTranslation' => 'admin/classes/contenido/class.module.php',
    'cApiTemplateCollection' => 'admin/classes/contenido/class.template.php',
    'cApiTemplate' => 'admin/classes/contenido/class.template.php',
    'cApiTemplateConfigurationCollection' => 'admin/classes/contenido/class.templateconfig.php',
    'cApiTemplateConfiguration' => 'admin/classes/contenido/class.templateconfig.php',
    'cApiUserCollection' => 'admin/classes/contenido/class.user.php',
    'cApiUser' => 'admin/classes/contenido/class.user.php',
    'cApiMetaTypeCollection' => 'admin/classes/contenido/class.metatype.php',
    'cApiMetaType' => 'admin/classes/contenido/class.metatype.php',
    'cApiMetaTagCollection' => 'admin/classes/contenido/class.metatag.php',
    'cApiMetaTag' => 'admin/classes/contenido/class.metatag.php',
    'Contenido_Category' => 'admin/classes/Contenido_Category/Contenido_Category.class.php',
    'Contenido_Categories' => 'admin/classes/Contenido_Category/Contenido_Category.class.php',
    'Contenido_Category_Language' => 'admin/classes/Contenido_Category/Contenido_Category.class.php',
    'Contenido_Category_Base' => 'admin/classes/Contenido_Category/Contenido_Category.class.php',
    'Contenido_Category_Articles' => 'admin/classes/Contenido_Category/Contenido_Category_Articles.class.php',
    'Contenido_FrontendNavigation' => 'admin/classes/Contenido_FrontendNavigation/Contenido_FrontendNavigation.class.php',
    'Contenido_FrontendNavigation_Base' => 'admin/classes/Contenido_FrontendNavigation/Contenido_FrontendNavigation_Base.class.php',
    'Contenido_FrontendNavigation_Breadcrumb' => 'admin/classes/Contenido_FrontendNavigation/Contenido_FrontendNavigation_Breadcrumb.class.php',
    'cDatatypeCurrency' => 'admin/classes/datatypes/class.datatype.currency.php',
    'cDatatypeDateTime' => 'admin/classes/datatypes/class.datatype.datetime.php',
    'cDatatypeNumber' => 'admin/classes/datatypes/class.datatype.number.php',
    'cDatatype' => 'admin/classes/datatypes/class.datatype.php',
    'DebuggerFactory' => 'admin/classes/Debug/DebuggerFactory.class.php',
    'Debug_DevNull' => 'admin/classes/Debug/Debug_DevNull.class.php',
    'Debug_File' => 'admin/classes/Debug/Debug_File.class.php',
    'Debug_Hidden' => 'admin/classes/Debug/Debug_Hidden.class.php',
    'Debug_Visible' => 'admin/classes/Debug/Debug_Visible.class.php',
    'Debug_VisibleAdv' => 'admin/classes/Debug/Debug_VisibleAdv.class.php',
    'Debug_VisibleAdv_Item' => 'admin/classes/Debug/Debug_VisibleAdv.class.php',
    'IDebug' => 'admin/classes/Debug/IDebug.php',
    'gdbDriver' => 'admin/classes/drivers/class.gdb.driver.php',
    'gdbMySQL' => 'admin/classes/drivers/mysql/class.gdb.mysql.php',
    'ConUserException' => 'admin/classes/exceptions/exception.conuser.php',
    'iConUser' => 'admin/classes/interfaces/interface.conuser.php',
    'cBufferedLog' => 'admin/classes/log/class.bufferedlog.php',
    'cLog' => 'admin/classes/log/class.log.php',
    'cModuleLog' => 'admin/classes/log/class.modulelog.php',
    'cTree' => 'admin/classes/tree/class.ctree.php',
    'cTreeItem' => 'admin/classes/tree/class.ctreeitem.php',
    'Contenido_Url' => 'admin/classes/Url/Contenido_Url.class.php',
    'Contenido_UrlBuilder' => 'admin/classes/UrlBuilder/Contenido_UrlBuilder.class.php',
    'NotInitializedException' => 'admin/classes/UrlBuilder/Contenido_UrlBuilderConfig.class.php',
    'Contenido_UrlBuilderConfig' => 'admin/classes/UrlBuilder/Contenido_UrlBuilderConfig.class.php',
    'Contenido_UrlBuilderFactory' => 'admin/classes/UrlBuilder/Contenido_UrlBuilderFactory.class.php',
    'Contenido_UrlBuilder_Custom' => 'admin/classes/UrlBuilder/Contenido_UrlBuilder_Custom.class.php',
    'Contenido_UrlBuilder_CustomPath' => 'admin/classes/UrlBuilder/Contenido_UrlBuilder_CustomPath.class.php',
    'Contenido_UrlBuilder_Frontcontent' => 'admin/classes/UrlBuilder/Contenido_UrlBuilder_Frontcontent.class.php',
    'cViewAdvancedMenu' => 'admin/classes/widgets/class.views.advancedmenu.php',
    'cViewItems' => 'admin/classes/widgets/class.views.advancedmenu.php',
    'cApiClickableAction' => 'admin/classes/widgets/class.widgets.actionbutton.php',
    'cApiClickableQuestionAction' => 'admin/classes/widgets/class.widgets.actionbutton.php',
    'cWidgetMenuActionList' => 'admin/classes/widgets/class.widgets.actionlist.php',
    'cWidgetButton' => 'admin/classes/widgets/class.widgets.buttons.php',
    'cWidgetToggleButton' => 'admin/classes/widgets/class.widgets.buttons.php',
    'cWidgetMultiToggleButton' => 'admin/classes/widgets/class.widgets.buttons.php',
    'cCalendarControl' => 'admin/classes/widgets/class.widgets.calendar.php',
    'cDataTextWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataTextareaWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataCodeTextareaWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataDropdownWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataForeignTableDropdownWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataCheckboxWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataMultiTextboxWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDateChooser' => 'admin/classes/widgets/class.widgets.datechooser.php',
    'cDatefield' => 'admin/classes/widgets/class.widgets.datefield.php',
    'cDropdownDateSelect' => 'admin/classes/widgets/class.widgets.dateselect.php',
    'cFoldingRow' => 'admin/classes/widgets/class.widgets.foldingrow.php',
    'cNominalNumberField' => 'admin/classes/widgets/class.widgets.nominaltextfield.php',
    'cNominalCurrencyField' => 'admin/classes/widgets/class.widgets.nominaltextfield.php',
    'cPage' => 'admin/classes/widgets/class.widgets.page.php',
    'cPageLeftTop' => 'admin/classes/widgets/class.widgets.page.php',
    'cPageLeftTopMultiPane' => 'admin/classes/widgets/class.widgets.page.php',
    'cNewPageLeftTopMultiPane' => 'admin/classes/widgets/class.widgets.page.php',
    'cObjectPager' => 'admin/classes/widgets/class.widgets.pager.php',
    'cPager' => 'admin/classes/widgets/class.widgets.pager.php',
    'cSwitchableDateChooser' => 'admin/classes/widgets/class.widgets.switchabledatechooser.php',
    'cWidgetTableEdit' => 'admin/classes/widgets/class.widgets.tableedit.php',
    'cWidgetTreeView' => 'admin/classes/widgets/class.widgets.treeview.php',
    'cTableView' => 'admin/classes/widgets/class.widgets.views.php',
    'cApiXml2Array' => 'admin/classes/xml/class.xml2array.php',
    'QRcode' => 'admin/external/phpqrcode/qrlib.php',
    'Output_Compressor' => 'admin/classes/class.output_compressor.php',
    'EmailAddressValidator' => 'admin/external/email_address_validation/EmailAddressValidator.php',
    'SMTP_validateEmail' => 'admin/external/email_address_validation/smtp_validateEmail.class.php',
    'FormValidation' => 'admin/external/class.form.validation.php',
    'GraphicsEnvironment' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsObject' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsGroup' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsBoxObject' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsLine' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsRectangle' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsFilledRectangle' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsOval' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsFilledOval' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsPolygon' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsFilledPolygon' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsText' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsTextTTF' => 'admin/classes/graphics/class.graphics.php',
    'ftp' => 'admin/classes/class.ftp.php',
    'sftp' => 'admin/classes/class.sftp.php',
    'Net_SFTP' => 'admin/external/phpseclib1.0.1/SFTP.php',
    'DB' => 'admin/classes/Database/DB.php',
    # less
    'Less_Cache' => 'admin/external/Less/Cache.php',
    'Less_Colors' => 'admin/external/Less/Colors.php',
    'Less_Configurable' => 'admin/external/Less/Configurable.php',
    'Less_Environment' => 'admin/external/Less/Environment.php',
    'Less_Functions' => 'admin/external/Less/Functions.php',
    'Less_Mime' => 'admin/external/Less/Mime.php',
    'Less_Output' => 'admin/external/Less/Output.php',
    'Less_Parser' => 'admin/external/Less/Parser.php',
    'Less_Tree' => 'admin/external/Less/Tree.php',
    'Less_Version' => 'admin/external/Less/Version.php',
    'Less_Visitor' => 'admin/external/Less/Visitor.php',
    'Less_VisitorReplacing' => 'admin/external/Less/VisitorReplacing.php',
    'Less_Exception_Chunk' => 'admin/external/Less/Exception/Chunk.php',
    'Less_Exception_Compiler' => 'admin/external/Less/Exception/Compiler.php',
    'Less_Exception_Parser' => 'admin/external/Less/Exception/Parser.php',
    'Less_Output_Mapped' => 'admin/external/Less/Output/Mapped.php',
    'Less_SourceMap_Base64VLQ' => 'admin/external/Less/SourceMap/Base64VLQ.php',
    'Less_SourceMap_Generator' => 'admin/external/Less/SourceMap/Generator.php',
    'Less_Tree_Alpha' => 'admin/external/Less/Tree/Alpha.php',
    'Less_Tree_Anonymous' => 'admin/external/Less/Tree/Anonymous.php',
    'Less_Tree_Assignment' => 'admin/external/Less/Tree/Assignment.php',
    'Less_Tree_Attribute' => 'admin/external/Less/Tree/Attribute.php',
    'Less_Tree_Call' => 'admin/external/Less/Tree/Call.php',
    'Less_Tree_Color' => 'admin/external/Less/Tree/Color.php',
    'Less_Tree_Comment' => 'admin/external/Less/Tree/Comment.php',
    'Less_Tree_Condition' => 'admin/external/Less/Tree/Condition.php',
    'Less_Tree_DefaultFunc' => 'admin/external/Less/Tree/DefaultFunc.php',
    'Less_Tree_DetachedRuleset' => 'admin/external/Less/Tree/DetachedRuleset.php',
    'Less_Tree_Dimension' => 'admin/external/Less/Tree/Dimension.php',
    'Less_Tree_Directive' => 'admin/external/Less/Tree/Directive.php',
    'Less_Tree_Element' => 'admin/external/Less/Tree/Element.php',
    'Less_Tree_Expression' => 'admin/external/Less/Tree/Expression.php',
    'Less_Tree_Extend' => 'admin/external/Less/Tree/Extend.php',
    'Less_Tree_Import' => 'admin/external/Less/Tree/Import.php',
    'Less_Tree_Javascript' => 'admin/external/Less/Tree/Javascript.php',
    'Less_Tree_Keyword' => 'admin/external/Less/Tree/Keyword.php',
    'Less_Tree_Media' => 'admin/external/Less/Tree/Media.php',
    'Less_Tree_NameValue' => 'admin/external/Less/Tree/NameValue.php',
    'Less_Tree_Negative' => 'admin/external/Less/Tree/Negative.php',
    'Less_Tree_Operation' => 'admin/external/Less/Tree/Operation.php',
    'Less_Tree_Paren' => 'admin/external/Less/Tree/Paren.php',
    'Less_Tree_Quoted' => 'admin/external/Less/Tree/Quoted.php',
    'Less_Tree_Rule' => 'admin/external/Less/Tree/Rule.php',
    'Less_Tree_Ruleset' => 'admin/external/Less/Tree/Ruleset.php',
    'Less_Tree_RulesetCall' => 'admin/external/Less/Tree/RulesetCall.php',
    'Less_Tree_Selector' => 'admin/external/Less/Tree/Selector.php',
    'Less_Tree_UnicodeDescriptor' => 'admin/external/Less/Tree/UnicodeDescriptor.php',
    'Less_Tree_Unit' => 'admin/external/Less/Tree/Unit.php',
    'Less_Tree_UnitConversion' => 'admin/external/Less/Tree/UnitConversion.php',
    'Less_Tree_Url' => 'admin/external/Less/Tree/Url.php',
    'Less_Tree_Value' => 'admin/external/Less/Tree/Value.php',
    'Less_Tree_Variable' => 'admin/external/Less/Tree/Variable.php',
    'Less_Tree_Mixin_Call' => 'admin/external/Less/Tree/Mixin/Call.php',
    'Less_Tree_Mixin_Definition' => 'admin/external/Less/Tree/Mixin/Definition.php',
    'Less_Visitor_extendFinder' => 'admin/external/Less/Visitor/extendFinder.php',
    'Less_Visitor_import' => 'admin/external/Less/Visitor/import.php',
    'Less_Visitor_joinSelector' => 'admin/external/Less/Visitor/joinSelector.php',
    'Less_Visitor_processExtends' => 'admin/external/Less/Visitor/processExtends.php',
    'Less_Visitor_toCSS' => 'admin/external/Less/Visitor/toCSS.php',
    # Scss
    'Block' => 'admin/external/Scss/Block.php',
    'Colors' => 'admin/external/Scss/Colors.php',
    'Compiler' => 'admin/external/Scss/Compiler.php',
    'Formatter' => 'admin/external/Scss/Formatter.php',
    'Node' => 'admin/external/Scss/Node.php',
    'Parser' => 'admin/external/Scss/Parser.php',
    'Type' => 'admin/external/Scss/Type.php',
    'Util' => 'admin/external/Scss/Util.php',
    'Range' => 'admin/external/Scss/Base/Range.php',
    'Environment' => 'admin/external/Scss/Compiler/Environment.php',
    'CompilerException' => 'admin/external/Scss/Exception/CompilerException.php',
    'ParserException' => 'admin/external/Scss/Exception/ParserException.php',
    'RangeException' => 'admin/external/Scss/Exception/RangeException.php',
    'ServerException' => 'admin/external/Scss/Exception/ServerException.php',
    'Compact' => 'admin/external/Scss/Formatter/Compact.php',
    'Compressed' => 'admin/external/Scss/Formatter/Compressed.php',
    'Crunshed' => 'admin/external/Scss/Formatter/Crunshed.php',
    'Debug' => 'admin/external/Scss/Formatter/Debug.php',
    'Expanded' => 'admin/external/Scss/Formatter/Expanded.php',
    'Nested' => 'admin/external/Scss/Formatter/Nested.php',
    'OutputBlock' => 'admin/external/Scss/Formatter/OutputBlock.php',
    'Number' => 'admin/external/Scss/Node/Number.php',
    'Base64' => 'admin/external/Scss/SourceMap/Base64.php',
    'Base64VLQ' => 'admin/external/Scss/SourceMap/Base64VLQ.php',
    'Base64VLQEncoder' => 'admin/external/Scss/SourceMap/Base64VLQEncoder.php',
    'SourceMapGenerator' => 'admin/external/Scss/SourceMap/SourceMapGenerator.php',
    # GIFEndec
    'GIFEndec\Color' => 'admin/external/GIFEndec/Color.php',
    'GIFEndec\Decoder' => 'admin/external/GIFEndec/Decoder.php',
    'GIFEndec\Encoder' => 'admin/external/GIFEndec/Encoder.php',
    'GIFEndec\Frame' => 'admin/external/GIFEndec/Frame.php',
    'GIFEndec\Renderer' => 'admin/external/GIFEndec/Renderer.php',
    'GIFEndec\Events\FrameDecodedEvent' => 'admin/external/GIFEndec/Events/FrameDecodedEvent.php',
    'GIFEndec\Events\FrameRenderedEvent' => 'admin/external/GIFEndec/Events/FrameRenderedEvent.php',
    'GIFEndec\Geometry\Point' => 'admin/external/GIFEndec/Geometry/Point.php',
    'GIFEndec\Geometry\Rectangle' => 'admin/external/GIFEndec/Geometry/Rectangle.php',
    'GIFEndec\IO\FileStream' => 'admin/external/GIFEndec/IO/FileStream.php',
    'GIFEndec\IO\MemoryStream' => 'admin/external/GIFEndec/IO/MemoryStream.php',
    'GIFEndec\IO\PhpStream' => 'admin/external/GIFEndec/IO/PhpStream.php',
);

# Try to include a config.autoloader.individual.php
$sFile = dirname(__FILE__) . '/config.autoloader.individual.php';
if (file_exists($sFile)) {
    if ($aindividual = include_once($sFile)) {
        $aAutoload = array_merge($aAutoload, $aindividual);
    }
}

return $aAutoload;