<?php


/**
* @author Andreas Kummer
* @copyright Copyright &copy; 2007 atelierQ
*
* Changes:
* 2019-07-23 Ren Mansveld - Output redirect urls directly and support target="_blank" for external redirects
*/

class aQnavigation {

   /**
	* Konstruktor der Klasse.
	* @param Integer  Primrschlssel der Startkategorie.
	*/
   function aQnavigation($startId) {

	  global $client, $lang, $idcat, $db;

	  $this->startId = $startId;

	  $this->client = $client;
	  $this->lang = $lang;
	  
	  $this->idcat = (isset($_GET['pretend'])) ? ($_GET['pretend']) : ($idcat);

	  $this->before = '';
	  $this->beforeEach = '';
	  $this->between = '';
	  $this->after = '';

	  $this->excludeItemsStartingWith = '__';

	  $this->db = $db;

	  $this->setStartIds();

	  $this->getNavigation();
   }

   /**
	* Auslesen der Navigationsstruktur aus der Datenbank.
	*/
   function getNavigation() {

	  global $cfg, $auth;

	  if ($this->startId != $this->id[0]) {
		 /*
		  * Wenn die StartId nicht identisch ist mit der hchsten Ebene der
		  * aktuell selektierten Kategorie, dann liegt die gewhlte Kategorie
		  * folgerichtig ausserhalb des fr die Navigation gewhlten Baumes.
		  * In diesem Fall ist nur die Hauptnavigation einzublenden.
		  */
		 $this->id[0] = $this->startId;
		 for ($i = 1; $i <= 3; $i++) {
			$this->id[$i] = -1;
		 }
	  }

	  //if ($auth->auth['uid'] == '' || !$this->isNumeric($auth->auth['uid'])) {
	  if ($auth->auth['uid'] == 'nobody') {
		 /*
		  * Login nicht erfolgt
		  */
		 $user = '';
	  } else {
		 /*
		  * Benutzer ist eingeloggt
		  */
		 $user = $auth->auth['uid'];
	  }

	$sql = 'SELECT DISTINCT c.idcat, c.parentid, c.preid, c.postid, c.parentid, cl.name, cl.idlang, IF (cl.visible = 1 && (cl.public = 1 || fp.idfrontendpermission IS NOT NULL), 1, 0) AS visible, al.redirect, al.redirect_url, al.external_redirect
            FROM ' . $cfg['tab']['cat'] . ' AS c LEFT JOIN ' . $cfg['tab']['cat_lang'] . ' AS cl ON c.idcat = cl.idcat LEFT JOIN ' . $cfg['tab']['frontendpermissions'] . ' AS fp ON (((cl.idcatlang = fp.item) AND (cl.idlang = fp.idlang) AND (fp.plugin = "category")) OR (fp.item = "__GLOBAL__")) LEFT JOIN ' . $cfg['tab']['frontendgroupmembers'] . ' AS fgm ON fp.idfrontendgroup = fgm.idfrontendgroup LEFT JOIN ' . $cfg['tab']['art_lang'] . ' AS al ON cl.startidartlang = al.idartlang AND cl.idlang = al.idlang
            WHERE ((c.idclient=' . $this->client . ')
               AND ((c.parentid=' . $this->id[0] . ')
                 OR (c.parentid=' . $this->id[1] . ')
                 OR (c.parentid=' . $this->id[2] . ')
                 OR (c.parentid=' . $this->id[3] . '))
               AND ((fgm.idfrontenduser' . ((is_numeric($user)) ? '="' . $user . '"' : ' LIKE "%"') . ')
                 OR (fgm.idfrontenduser IS NULL)))';
      $this->db->query($sql);
	  $this->navigationTree = array ();

	  $this->firstId[0] = 0;
	  $this->firstId[1] = 0;
	  $this->firstId[2] = 0;
	  $this->firstId[3] = 0;

	  while ($this->db->next_record()) {

		 for ($i = 0; $i <= 3; $i++) {
			if (($this->firstId[$i] == 0 && $this->db->f('parentid') == $this->id[$i] && $this->db->f('preid') == 0 && $this->db->f('idlang') == $this->lang) || ($this->firstId[$i] == 0 && $this->db->f('parentid') == $this->id[$i] && $this->db->f('preid') == 0 && $this->db->f('idlang') == null)) {
			   $this->firstId[$i] = $this->db->f('idcat');
			}
		 }
		 /*
		  * Das Einfgen in den Navigationsbaum darf nur erfolgen, wenn noch kein Eintrag existiert
		  * oder - wenn bereits einer existiert - der neue Eintrag der aktuell gewhlten Sprache
		  * entspricht.
		  */
		 if (!isset ($this->navigationTree[$this->db->f('parentid')][$this->db->f('idcat')]) || $this->db->f('idlang') == $this->lang) {
			$this->navigationTree[$this->db->f('parentid')][$this->db->f('idcat')] = array('preid' => $this->db->f('preid'), 'postid' => $this->db->f('postid'), 'visible' => $this->db->f('visible'), 'name' => $this->db->f('name'), 'idlang' => $this->db->f('idlang'), 'redirect' => $this->db->f('redirect'), 'external_redirect' => $this->db->f('external_redirect'), 'redirect_url' => $this->db->f('redirect_url'));
		 }
	  }

   }

   /**
	* Ausgabe der Navigation an die Standardausgabe.
	* @param String  Navigationstyp
	*/
   function showNavigation($type, $next = -1) {

	  static $first;
	  if ($type == 1) {
	  	static $count = -1;
	  }
	  static $output = array (
		 false,
		 false,
		 false,
		 false,
		 false,
		 false,
		 false
	  );

	  $returnValue = "";

	  if ($next == 0) {
		 if ($output[$type]) {
			return $this->after[$type];
		 } else {
			return false;
		 }
	  }

	  if ($next == -1) {
		 $returnValue .= $this->before[$type];
		 $next = $this->firstId[$type];
		 $first[$type] = true;
	  }

	  $parentId = $this->id[$type];

	  $link = 'front_content.php?idcat=' . $next;

	  if ($this->navigationTree[$parentId][$next]['visible'] == 1 && $this->navigationTree[$parentId][$next]['idlang'] == $this->lang && $this->isVisble($this->navigationTree[$parentId][$next]['name'])) {
		 if (!$first[$type]) {
			$returnValue .= $this->between[$type];
		 }

		 if (strstr($this->navigationTree[$parentId][$next]['name'], '$$$') == true) {
			$name = explode('$$$', $this->navigationTree[$parentId][$next]['name']);
			$name1 = $name[0];
			$name2 = $name[1];
		 } else {
			$name1 = $this->navigationTree[$parentId][$next]['name'];
			$name2 = '';
		 }

		 $sub = (isset ($this->sub[$type])) ? ($this->sub[$type]) : ('');

		 $count ++;
		 if ($this->isSelected($next)) {
			$returnValue .= $this->beforeSelected[$type];
			#$returnValue .= str_replace('{sub}', $sub, str_replace('{name2}', $name2, str_replace('{name1}', $name1, str_replace('{left}', (($count * 160) - ($count * 8)), str_replace('{zindex}', (100 - $count), str_replace('{link}', $link, ($sub == '') ? ($this->maskSelected[$type]) : ($this->maskSelectedSub[$type])))))));
			$returnValue .= str_replace(array('{sub}', '{name2}', '{name1}', '{left}', '{zindex}', '{link}', '{window}'), array($sub, $name2, $name1, (($count * 160) - ($count * 8)), (100 - $count), (($this->navigationTree[$parentId][$next]['redirect']) ? $this->navigationTree[$parentId][$next]['redirect_url'] : $link), (($this->navigationTree[$parentId][$next]['external_redirect']) ? '_blank' : '_self')), (($sub == '') ? $this->maskSelected[$type] : $this->maskSelectedSub[$type]));
		 } else {
			$returnValue .= $this->beforeEach[$type];
			#$returnValue .= str_replace('{sub}', $sub, str_replace('{name2}', $name2, str_replace('{name1}', $name1, str_replace('{left}', (($count * 160) - ($count * 8)), str_replace('{zindex}', (100 - $count), str_replace('{link}', $link, $this->maskNormal[$type]))))));
			$returnValue .= str_replace(array('{sub}', '{name2}', '{name1}', '{left}', '{zindex}', '{link}', '{window}'), array($sub, $name2, $name1, (($count * 160) - ($count * 8)), (100 - $count), (($this->navigationTree[$parentId][$next]['redirect']) ? $this->navigationTree[$parentId][$next]['redirect_url'] : $link), (($this->navigationTree[$parentId][$next]['external_redirect']) ? '_blank' : '_self')), $this->maskNormal[$type]);
		 }
		 $first[$type] = false;
		 $output[$type] = true;
	  }
	  elseif (!$output && $this->navigationTree[$parentId][$next]['postid'] == 0) {
		 /*
		  * Die Navigation enthlt nichts.
		  */
	  }

	  return $returnValue . $this->showNavigation($type, $this->navigationTree[$parentId][$next]['postid']);
   }

   function setExcludeStart($start) {
	  $this->excludeItemsStartingWith = $start;
   }

   function isVisble($name) {
	  if (substr($name, 0, strlen($this->excludeItemsStartingWith)) == $this->excludeItemsStartingWith) {
		 return false;
	  }
	  return true;
   }

   /**
	* Ausgabe vor der Navigation
	* @param String  Ausgabe vor der Navigation.
	*/
   function before($level, $text) {
	  $this->before[$level] = $text;
   }

   /**
	* Ausgabe vor jedem Eintrag
	* @param String  Ausgabe vor jedem Eintrag.
	*/
   function beforeEach($level, $text) {
	  $this->beforeEach[$level] = $text;
   }

   /**
	* Ausgabe vor jedem selektierten Menueintrag
	* @param String  Ausgabe vor jedem selektierten Menueintrag.
	*/
   function beforeSelected($level, $text) {
	  $this->beforeSelected[$level] = $text;
   }

   /**
	* Ausgabe zwischen zwei Hauptmenupunkten
	* @param String  Ausgabe zwischen zwei Hauptmenupunkten.
	*/
   function between($level, $text) {
	  $this->between[$level] = $text;
   }

   /**
	* Ausgabe nach der Navigation
	* @param String  Ausgabe nach der Navigation.
	*/
   function after($level, $text) {
	  $this->after[$level] = $text;
   }

   function maskNormal($level, $text) {
	  $this->maskNormal[$level] = $text;
   }

   function maskNormalSub($level, $text) {
	  $this->maskNormalSub[$level] = $text;
   }

   function maskSelected($level, $text) {
	  $this->maskSelected[$level] = $text;
   }

   function maskSelectedSub($level, $text) {
	  $this->maskSelectedSub[$level] = $text;
   }

   function setSub($level, $content) {
	  $this->sub[$level] = $content;
   }

   /**
	* Gibt das Level der Kategorie zurck.
	* @param Integer  Primrschlssel der Kategorie.
	* @return Integer Level der spezifizierten Kategorie.
	*/
   function getLevel($idcat) {

	  global $cfg;

	  if (empty ($idcat)) {
		 return 0;
	  }

	  $this->db->query("" .
	  "SELECT level FROM {$cfg['tab']['cat_tree']} " .
	  "WHERE " .
	  "   idcat = $idcat" .
	  "");
	  if ($this->db->next_record()) {
		 return $this->db->f('level');
	  } else {
		 return 0;
	  }
   }

   /**
	* Gib die Tiefe relativ zum Hauptmenu an.
	* @param Integer  Primrschlssel der Kategorie
	* @return Integer Level relativ zum Hauptmenu
	*/
   function getNetLevel($idcat) {

	  return $this->getLevel($idcat) - $this->getLevel($this->startId);
   }

   /**
	* Ermittlung des jeweils ersten Kategorieeintrages jeder Ebene. Die
	* Speicherung dieser Daten erfolgt in das Klassenattribut id.
	*/
   function setStartIds() {

	  $id = $this->idcat;

	  $level = $this->getNetLevel($id);
	  $this->id[$level] = $id;

	  while ($level > 0) {
		 $this->id[$level -1] = $this->getParentId($id);
		 $id = $this->id[$level -1];
		 $level = $this->getNetLevel($id);
	  }

	  if (empty ($this->id)) {
		 $this->id[0] = $this->startId;
	  }
	  for ($i = 1; $i <= 3; $i++) {
		 if (empty ($this->id[$i])) {
			$this->id[$i] = -1;
		 }
	  }
	  ksort($this->id);
   }

   /**
	* Ermittlung des Elternelementes der Kategorie mit dem Primrschlssel
	* idcat
	* @param Integer  Primrschlssel des Kindelementes, dessen Elternelement
	* ermittelt werden soll.
	* @return Integer Primrschlssel des Elternelementes.
	*/
   function getParentId($idcat) {

	  global $cfg;

	  $this->db->query("" .
	  "SELECT parentid FROM {$cfg['tab']['cat']} " .
	  "WHERE " .
	  "   idcat = $idcat " .
	  "");
	  if ($this->db->next_record()) {
		 return $this->db->f('parentid');
	  } else {
		 return 0;
	  }
   }

   /**
	* Anzeige, ob eine Navigationsebene Elemente enthlt oder nicht.
	* @param Integer  Navigationsstufe.
	* @return Boolean True, wenn die Navigationsstufe leer ist (keine Elemente
	* enhlt). Sonst false.
	*/
   function navigationEmpty($level) {

	  if ($this->firstId[$level] == 0) {
		 return true;
	  }

	  return false;
   }

   /**
	* Anzeige, ob eine Kategorie selektiert ist oder nicht. Eine Kategorie gilt
	* als selektiert, wenn sie die aktuelle Kategorie ist oder ein direktes
	* oder indirektes Elternelement der aktuellen Kategorie.
	* @param Integer  Primrschlssel der Kategorie, deren Status gefragt ist.
	* @return Boolean True, wenn die gefragte Kategorie mit der aktuellen
	* Kategorie bereinstimmt oder ein direktes oder indirektes Elternelement
	* der aktuellen Kategorie darstellt.
	*/
   function isSelected($idcat) {

	  return in_array($idcat, $this->id);
   }

   function isNumeric($parameter) {
	  return !preg_match("/[^0-9]/", $parameter);
   }
}

?>